Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine.extenders
Class LearnerExtender

    java.lang.Object
      org.joone.engine.extenders.LearnerExtender

Direct Known Subclasses:
  DeltaRuleExtender, GradientExtender, UpdateWeightExtender

    public abstract class LearnerExtender

extends java.lang.Object

This abstract class describes the methods that any learner extender must provide.

Author:
  Boris Jansen

Constructor Summary
`LearnerExtender()`

Method Summary
`protected ExtendableLearner` | `getLearner()` Gets the learner this object is extending.
`boolean` | `isEnabled()` Checks if the learner extender is enabled.
`abstract void` | `postBiasUpdate(double[] currentGradientOuts)` Gives extenders a change to do some post-computing after the biases are updated.
`abstract void` | `postWeightUpdate(double[] currentPattern, double[] currentInps)` Gives extenders a change to do some post-computing after the weights are updated.
`abstract void` | `preBiasUpdate(double[] currentGradientOuts)` Gives extenders a change to do some pre-computing before the biases are updated.
`abstract void` | `preWeightUpdate(double[] currentPattern, double[] currentInps)` Gives extenders a change to do some pre-computing before the weights are updated.
`void` | `setEnabled(boolean aMode)` Sets the mode of this extender.
`void` | `setLearner(ExtendableLearner aLearner)` Sets the learner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LearnerExtender

    public LearnerExtender()

Method Detail

### setLearner

    public void setLearner(ExtendableLearner aLearner)

  Sets the learner. This way the extender has a reference to the learner.

  Parameters:
    `aLearner` - the learner this object is extending.

### getLearner

    protected ExtendableLearner getLearner()

  Gets the learner this object is extending.

  Returns:
    the learner this object is extending.

### isEnabled

    public boolean isEnabled()

  Checks if the learner extender is enabled.

  Returns:
    true if the extender is enabled, false otherwise.

### setEnabled

    public void setEnabled(boolean aMode)

  Sets the mode of this extender.

  Parameters:
    `aMode` - true for enabled, false for disabled.

### preBiasUpdate

    public abstract void preBiasUpdate(double[] currentGradientOuts)

  Gives extenders a change to do some pre-computing before the biases are updated.

  Parameters:
    `currentGradientOuts` - the back propagated gradients.

### postBiasUpdate

    public abstract void postBiasUpdate(double[] currentGradientOuts)

  Gives extenders a change to do some post-computing after the biases are updated.

  Parameters:
    `currentGradientOuts` - the back propagated gradients.

### preWeightUpdate

    public abstract void preWeightUpdate(double[] currentPattern,
                                         double[] currentInps)

  Gives extenders a change to do some pre-computing before the weights are updated.

  Parameters:
    `currentPattern` - the back propagated gradients.
    `currentInps` - the forwarded input.

### postWeightUpdate

    public abstract void postWeightUpdate(double[] currentPattern,
                                          double[] currentInps)

  Gives extenders a change to do some post-computing after the weights are updated.

  Parameters:
    `currentPattern` - the back propagated gradients.
    `currentInps` - the forwarded input.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net